Bug 89950 - No antialiasing rendering for PDF files
No antialiasing rendering for PDF files
Product: Red Hat Linux
Classification: Retired
Component: ggv (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Depends On:
  Show dependency treegraph
Reported: 2003-04-30 04:27 EDT by Stephane Jourdan
Modified: 2013-04-02 00:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-30 15:22:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephane Jourdan 2003-04-30 04:27:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4a) Gecko/20030422
Firebird™ Browser/0.6

Description of problem:
There is no fonts antialisasing in any PDF file I try to load (very ugly,
needless to say). 

The "Antialiasing" option is checked.

When launching gs with selected options, the AA renders without problems
(/usr/bin/gs -sDEVICE=x11alpha)

In the meantime, xpdf renders with AA without problems.

This bug has been verified in 2 laptops I loaded with RedHat 9.

There is no error message displayed, neither in the console nor in the GUI.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Launch GGV
2.Open a PDF
3.Observe there's no AA

(same when launched via command line or via nautilus)

Actual Results:  No AA rendering

Expected Results:  AA rendering

Additional info:
Comment 1 Jonathan Blandford 2003-04-30 15:22:53 EDT
ggv is going to lose it's pdf capabilities in favor of gpdf upstream, making
this bug moot in the future.
Comment 2 Jim Hall 2003-06-26 16:10:27 EDT
I found this bug when I was trying to see if anyone had the same problem I had.
 This is the same problem I have.

I tried to compile gpdf on RH9, but it requires some newer libraries than what
RH9 provides.  Can't get gpdf 0.103 or even gpdf 0.100 to get past './configure'.

My solution was to downgrade to the ggv (ggv-1.99.9-5) from RH8.  This seems to
work fine for me.  I do see some bonobo warnings (see below) but everything
seems to work okay.

Maybe this note will help others who come across this bug.


$ ggv Temp/T-US-389935-E.pdf
(ggv:19761): Bonobo-WARNING **: Unknown icon_pixbuf type 'none'
(ggv:19761): Bonobo-WARNING **: Unknown icon_pixbuf type 'none'
(ggv:19761): Bonobo-WARNING **: Unknown icon_pixbuf type 'none'
(ggv:19761): Bonobo-CRITICAL **: file bonobo-ui-util.c: line 182
(bonobo_ui_util_xml_to_pixbuf): assertion `xml != NULL' failed
(ggv:19761): Bonobo-CRITICAL **: file bonobo-ui-util.c: line 182
(bonobo_ui_util_xml_to_pixbuf): assertion `xml != NULL' failed
(ggv:19761): Bonobo-WARNING **: Unknown icon_pixbuf type 'none'

Note You need to log in before you can comment on or make changes to this bug.